#include<stdio.h>
#include<stdlib.h>
main()
{
	int N,*A,*B,sxor=0,sand=0,max=0;
	scanf("%d",&N);
	B=(int*)malloc(N*sizeof(int));
	A=(int*)calloc(N,sizeof(int));
	for(int i=0;i<N;i++)
	{
		scanf("%d",&A[i]);
	}
	for(int i=0;i<N;i++)
	{
		scanf("%d",&B[i]);
	}
	for (int p=0;p<N;p++) 
	{ 
        for (int z=p;z<N;z++) 
	{ 
	for (int i=p;i<=z;i++) 
	{
    sxor^=A[i]; 
    sand&=B[i]; 
    }
int s=sxor*sand;
if (s>max) 
{
max=s;
}
printf("%d",max);
free(B);
free(A);
}
}
}